### Method

# CM Room enable_encryption_async

#### Declaration [src]

    void
    cm_room_enable_encryption_async (
      CmRoom* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Enable encryption for `self`. You can’t disable encryption once enabled. Also, it’s a noop if `self` has already enabled encryption. The `callback` shall run in any case.

To get the result, finish the call with cm_room_enable_encryption_finish().

This method completes asynchronously. Use `cm_room_enable_encryption_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.